Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("545B7B03-6478-4B95-8F76-EEEA87B30163")]
   [Item("RunCollectionComparisonConstraint", "A constraint which compares the members of the contained runs with the constraint data.")]
   public class RunCollectionComparisonConstraint : ComparisonConstraint, IRunCollectionColumnConstraint {
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("18387A90-ED47-41AC-884E-B41B4EED3679")]
   [Item("RunCollectionConstraintCollection", "Represents a collection of constraints.")]
   public class RunCollectionConstraintCollection : ItemCollection<IRunCollectionConstraint> {
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionContentConstraint.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionContentConstraint.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionContentConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("CCC8D0A1-301A-41EE-A892-C3672989A80C")]
   public class RunCollectionContentConstraint : Constraint, IRunCollectionConstraint {
     public new RunCollection ConstrainedValue {
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("DB571126-0AB6-4C54-BF0C-A16DA31DFF15")]
   [Item("RunCollectionEqualityConstraint", "A constraint which checks the members of the contained runs for equality to the constraint data.")]
   public class RunCollectionEqualityConstraint : EqualityConstraint, IRunCollectionColumnConstraint {
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("D2C4FB68-CC99-4011-B255-399EEF0B5744")]
   [Item("RunCollectionTypeCompatibilityConstraint", "A constraint which checks the members of the contained runs for type compabitiliby to the constraint data.")]
   public class RunCollectionTypeCompatibilityConstraint : TypeCompatibilityConstraint, IRunCollectionColumnConstraint {
